Skip to content

List of invasive species using pagination - api/v1/invasivespecie/pagedList?page=1&pagesize=10

GET
/api/v1/InvasiveSpecie/pagedList

This endpoint returns a list of invasive species using pagination including page, pagesize, total records and data, example api/v1/invasivespecie/pagedList?page=1&pagesize=10

Parameters

Query Parameters

SortBy
Typestring
SortDirection
Typestring
Page*
Typeinteger
Required
Format"int32"
PageSize*
Typeinteger
Required
Format"int32"

Responses

OK

application/json
JSON
{
"page": 0,
"pageSize": 0,
"totalRecords": 0,
"pageCount": 0,
"data": [
{
"id": 0,
"name": "string",
"scientificName": "string",
"commonNames": "string",
"impact": "string",
"manage": "string",
"riskLevel": 0,
"urlImage": "string"
}
]
}

Playground

Variables
Key
Value

Samples

Powered by VitePress OpenAPI

MIT License